import getConfig from 'next/config';

const { publicRuntimeConfig } = getConfig();

export const ContentStackEnv = process?.env?.STORE_ID ? process?.env : publicRuntimeConfig;

const { STOREFRONT_URL, STORE_ID } = ContentStackEnv;

export const SearchAPI = {
    search: `${STOREFRONT_URL}/catalogs/search/suggestions`,
    storeId: STORE_ID,
    size: '6'
};

export const SEARCH_DELAY = 500;

export const MIN_CHARS_FOR_SEARCH = 2;
export const searchable = (str: string) => str?.length >= MIN_CHARS_FOR_SEARCH;

export const containsAlphanumeric = (payload: string) => /[a-zA-Z0-9]/.test(payload);
