import applySpec from 'ramda/src/applySpec';
import { ContentTypeName } from '../types';
import { CtaLinkItemProps } from '../types/types';

const getCtaDataModel = (component: CtaLinkItemProps) => {
    const { text, url, ctaVariant, values, color } = component || {};
    if (component && ctaVariant) {
        if (ctaVariant === ContentTypeName.primary) {
            return {
                url,
                color,
                variant: ctaVariant,
                btnVariant: values?.outlined ? 'outlined' : 'contained',
                text
            };
        } else if (ctaVariant === ContentTypeName.secondary) {
            return {
                url: url,
                variant: ctaVariant,
                text: text,
                color
            };
        }
    }
    return {};
};

const getCtaPage = applySpec({
    CtaItem: getCtaDataModel
});

export default getCtaPage;
