import compose from 'ramda/src/compose';
import propOr from 'ramda/src/propOr';

import { parseJsonString } from '../../utils';
import { getBrandColor } from '../../utils/model-utils';
import { HeroTypeName } from '../types';

const getHeroLiveTags = (hero: Record<string, any>) => {
    if (hero?.$) {
        return {
            title: hero?.$?.[HeroTypeName.title],
            header: hero?.$?.[HeroTypeName.header],
            preHeader: hero?.$?.[HeroTypeName.preHeader],
            description: hero?.$?.[HeroTypeName.description],
            image: hero?.$?.image,
            callToAction: hero?.$?.[HeroTypeName.callToAction],
        };
    }
};

export const BASE_HERO_PROPS = {
    show: propOr(false, HeroTypeName.show),
    header: propOr('', HeroTypeName.header),
    description: propOr('', HeroTypeName.description),
    fontColor: propOr('', HeroTypeName.fontColor),
    backgroundScrim: propOr(false, HeroTypeName.backgroundScrim),
    backgroundColor: getBrandColor(HeroTypeName.backgroundColor),
    image: propOr([], 'image'),
    ctaLink: compose(parseJsonString, propOr({}, HeroTypeName.ctaLink)),
    callToAction: compose(parseJsonString, propOr({}, HeroTypeName.callToAction)),
    liveTags: getHeroLiveTags,
};
