import { NsHero } from '../hero';

import AdditionalComponentParser from './components/additional-components/AdditionalComponentParser';
import RefComponentParser from './components/reference-components/RefComponentParser';
import { ComponentBlockType } from '../types';

export type BodyBlockMapType = Record<string, ComponentBlockType>;

export const GlobalFieldMap: { [key: string]: string } = {
    ns_hero_global: 'ns_hero',
    ns_video_component: 'ns_video',
    ns_carousel_component: 'ns_carousel'
};

export const dataParser = (props: any) => props;

export const BodyBlockMap: BodyBlockMapType = {
    ns_hero: {
        dataParser,
        component: NsHero
    },
    component_reference: {
        dataParser,
        component: RefComponentParser
    },
    additional_component: {
        component: AdditionalComponentParser,
        dataParser
    }
};
