import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import prop from 'ramda/src/prop';
import propOr from 'ramda/src/propOr';

import { parseJsonString } from '../utils';

const firstItem = [0];

export const getFirstObject = pathOr({}, firstItem);
export const getFirstArray = pathOr([], firstItem);

export const getUrlProp = prop('url');

export const getBrandColor = (propKey: string) => (x: any) =>
    parseJsonString(x?.[propKey] ?? '')?.brandColor?.colorName ?? 'transparent';

export const getCallToAction = (propKey: string = 'call_to_action') =>
    compose(parseJsonString, propOr({}, propKey));
