import { getBasicDATWidthHeight } from '../bynder-util';

describe('A. base-utils.getBasicDATWidthHeight', () => {
    it('1. should return an scale transform with given height and width', () => {
        const result = getBasicDATWidthHeight(500, 600);
        expect(result).toEqual('io=transform:scale,width:500,height:600');
    });
    it('2. should return an fill transform with given height and width', () => {
        const result = getBasicDATWidthHeight(500, 600, 'fill');
        expect(result).toEqual('io=transform:fill,width:500,height:600');
    });
    it('3. should return a url with default width and height when default value is missing', () => {
        const result = getBasicDATWidthHeight();
        expect(result).toEqual('io=transform:scale,width:900,height:800');
    });
});
