/* eslint-disable no-undef */
export const fetchStoreCategory = async (locale = 'en_US', storeId = '430') => {
    const header = new Headers();
    header.append('accept', 'application/json');
    header.append('x-version', `${process.env.STORE_FRONT_VERSION}`);

    const fetchOptions: RequestInit = {
        method: 'GET',
        headers: header,
        redirect: 'follow'
    };

    const params = new URLSearchParams({
        locale,
        storeId,
        multilevel: '-1',
        includeParent: 'false'
    });

    const res = await fetch(
        `${process.env.STORE_FRONT_API_URI}/catalogs/categories/top?${params}`,
        fetchOptions
    );
    return res.json();
};
